@media (max-width: 700px){
  #footer{
    padding: 50px 20px!important;
  }
  #footer .address{
    font-size: 16px!important;
  }
  #footer .global_p_large{
    font-size: 21px!important;
  }
  #footer .menu_footer a{
    font-size: 16px!important;
  }
}

@media (min-width: 1800px){
  #footer .address{
    font-size: 20px!important;
  }
  #footer .global_p_large{
    font-size: 28px!important;
  }
  #footer .menu_footer a{
    font-size: 20px!important;
  }
}


#footer {
  padding-top: var(--global_size_60);
  padding-right: var(--global_padding);
  padding-bottom: var(--global_size_60);
  padding-left: var(--global_padding);
  color: var(--root_color_white);
  background-color: var(--root_color_black);
}

#footer_contener {
  width: 100%;
  margin-right: auto;
  margin-left: auto;
  max-width: var(--global_size_footer);
}

#footer_logo {
  --min_footer_logo: 200;
  --max_footer_logo: 250;
  --footer_logo: clamp(
    calc(var(--min_footer_logo) * 1px),
    calc(
      (
          (
              (-1 * var(--global_scm_var)) *
                (
                  (var(--max_footer_logo) - var(--min_footer_logo)) /
                    (var(--global_sc_var) - var(--global_scm_var))
                ) + var(--min_footer_logo)
            ) * 1px
        ) +
        (
          (var(--max_footer_logo) - var(--min_footer_logo)) /
            (var(--global_sc_var) - var(--global_scm_var)) * 100vw
        )
    ),
    calc(var(--max_footer_logo) * 1px)
  );
  width: var(--footer_logo);
  transition: var(--global_transition);
  display: inline-block;
}

#footer .data {
  grid-template-columns: 0.289fr 0.711fr;
}

#footer .left {
  grid-template-rows: 1fr auto;
}

#footer .right {
  grid-template-rows: 1fr auto;
  padding-right: var(--global_size_15);
}

#footer .menus {
  grid-template-columns: repeat(3, 1fr);
  padding-bottom: var(--global_size_30);
  border-bottom: 1px solid var(--root_color_lead);
}

#footer .address a,
#footer .copyrights a {
  color: var(--root_color_white);
  font-weight: 400;
}

#footer .address a:hover,
#footer .copyrights a:hover {
  color: var(--root_color_lead);
}

#footer .copyrights {
  font-size: var(--global_font_size_p_small_x);
  text-align: right;
  padding-right: var(--global_size_15);
}

#footer .copyrights > *:last-child {
  margin-left: var(--global_size_100);
}

/**********************************************************************************/

#footer_top {
  background-color: var(--root_color_light);
  background-color: transparent;
  position: fixed;
  bottom: calc(var(--global_size_60) * -1);
  right: var(--global_size_60);
  z-index: 900;
  width: 50px;
  height: 50px;
  opacity: 0;
  visibility: hidden;
  cursor: pointer;
  /*	border: 1px solid #000000; */
  border-radius: 50%;
  transition: all 0.3s cubic-bezier(0.215, 0.61, 0.355, 1);
  overflow: hidden;
  /*	box-shadow: 0 14px 25px 0 rgba(0, 0, 0, 0.1), 0 0 0 1px rgba(0, 0, 0, 0.05) inset; */
  box-shadow: 0 0 0 3px var(--root_color_lead_3);
}

#footer_top.is_visible {
  bottom: var(--global_size_50);
  opacity: 1;
  visibility: visible;
}

#footer_top.is_not_visible {
  bottom: calc(var(--global_size_60) * -1px) !important;
}

#footer_top::before {
  content: "";
  display: block;
  position: absolute;
  top: 50%;
  left: 50%;
  width: 12px;
  height: 12px;
  border-top: 3px solid var(--root_color_lead_3);
  border-left: 3px solid var(--root_color_lead_3);
  transform: translate(-50%, -3px) rotate(45deg);
  transition: all 0.3s cubic-bezier(0.215, 0.61, 0.355, 1);
}

#footer_top::after {
  /*	content: '';
	display: block;
	position: absolute;
	width: 100%;
	height: 100%;
	top: 0;
	left: 0;
	opacity: 0;
	transform: scale(1.1, 1.1);
	visibility: hidden;
	box-shadow: 0 0 0 3px var(--root_color_lead) inset;
	transition: all 0.3s cubic-bezier(0.215, 0.61, 0.355, 1); */
}

#footer_top:hover {
  /*	background-color: #171716; */
  /*	border: 1px solid #fa4616; */
  /*	box-shadow: 0 3px 10px 0 rgba(0, 0, 0, 0.15), 0 0 0 1px rgba(0, 0, 0, 0.05) inset; /* for non inset box shadow */
}

#footer_top:hover::before {
  /*	border-top: 2px solid #ffffff;
	border-left: 2px solid #ffffff; */
}

#footer_top:hover::after {
  /*	opacity: 1;
	transform: scale(1, 1);
	visibility: visible; */
} /* for inset box shadow */

#footer_top:active {
  transform: scale(0.95, 0.95);
}

/**********************************************************************************/

@media screen and (max-width: 1680px) {
}

@media screen and (max-width: 1600px) {
  #footer_top {
    right: 10px;
  }

  #footer_top.is_visible {
    bottom: var(--global_size_10);
  }
}

@media screen and (max-width: 1440px) {
}

@media screen and (max-width: 1366px) {
  #footer .menus {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media screen and (max-width: 1300px) {
}

@media screen and (max-width: 1200px) {
}

@media screen and (max-width: 1024px) {
  #footer .data {
    grid-template-columns: 100%;
  }

@media screen and (max-width: 800px) {

  #footer .socials {
    padding-bottom: var(--global_size_30);
    border-bottom: 1px solid var(--root_color_lead);
  }

  #footer .copyrights {
    font-size: var(--global_font_size_p_small_x);
    text-align: left;
    padding-right: 0;
    margin-top: var(--global_size_30);
  }
}

@media screen and (max-width: 640px) {
  #footer_logo {
    --min_footer_logo: 200;
    --max_footer_logo: 330;
    --footer_logo: clamp(
      calc(var(--min_footer_logo) * 1px),
      calc(
        (
            (
                (-1 * var(--global_scm_var)) *
                  (
                    (var(--max_footer_logo) - var(--min_footer_logo)) /
                      (var(--global_sc_var) - var(--global_scm_var))
                  ) + var(--min_footer_logo)
              ) * 1px
          ) +
          (
            (var(--max_footer_logo) - var(--min_footer_logo)) /
              (var(--global_sc_var) - var(--global_scm_var)) * 100vw
          )
      ),
      calc(var(--max_footer_logo) * 1px)
    );
    width: var(--footer_logo);
    transition: var(--global_transition);
    display: inline-block;
  }
}

@media screen and (max-width: 480px) {
}

@media screen and (max-width: 360px) {
}
